
#include	"sysdef.h"




#define	largea		0101
#define	largez		0132
#define	smalla		0141
#define	smallz		0172
#define	tab		'\011'
#define	TAB		'\011'

isletter(c)
register char c;
{

	return(    (c >= smalla && c <= smallz)
		|| (c >= largea && c <= largez) ) ;
}



isdigit(c)
register char c;
{
	return( c >= '0' && c <= '9' ) ;
}


isoctal(c)
register char c;
{
	return( c >= '0' && c <= '7' ) ;
}


char tolower(c)
register char c;
{
	return( (c >= largea && c <= largez) ? c|040:c ) ;
}

char toupper(c)
register char c;
{
	return( (c >= smalla && c <= smallz) ? c&0137:c ) ;
}


isdelimiter(c)
register char c;
{
	return( c=='\015' || c=='\012' || c=='\014');
}

istabspace(c)
register char c;
{
	return( c==040 || c==011 ) ;
}

islower(c)
register char c;
{
	return ( c >= smalla && c <= smallz ) ;
}

isupper(c)
register char c;
{
	return ( c >= largea && c <= largez ) ;
}
